@model GameShop.ViewModels.LoginViewModel

@{
    ViewData["Title"] = "Login";
    Layout = "_Main";
}

<div class="col-lg-4 offset-lg-4">   
    <div class="loginform">
        @if (!ViewContext.ModelState.IsValid)
        {
            <div class="col-lg-12 alert alert-error">
                <div class="alert-title">
                    <i class="fas fa-ban"></i>Whoops!
                </div>
            <div asp-validation-summary="All"></div>
            </div> 
        }
        <partial name="_Errors"/>
        <form asp-action="Login">
            <label>Email</label>
            <input type="text" asp-for="Email"/>
            <label>Password</label>
            <input type="password" asp-for="Password"/>
            <input type="submit" value="Login"/>
            <a class="loginbutton" href="https://accounts.dawreck.dev/authorize?response_type=code&client_id=36113711&client_secret=79939786&scopes=profile&redirect_uri=http%3A%2F%2Flocalhost%3A5000%2Fcallback">
                Login with Lightning
            </a>
        </form>
    </div>

</div>

